OpenAPI 3.0.3

API & MCP

Integrare ChatReact nelle vostre applicazioni. API REST completa con esploratore interattivo ed esempi di codice.

REST & MCP API

API REST completa più Model Context Protocol per assistenti AI

Autenticazione sicura

Chiavi API con prefisso cr_ per il controllo sicuro degli accessi

OpenAPI 3.0

Specifiche complete da scaricare – per Postman, codegen e i vostri SDK

Limitazione delle richieste

30 req/min API REST, 60 req/min MCP e widget

Avvio rapido

example.js
// Send the first message; the response supplies sessionId.
const response = await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({ message: 'Hello, I need help!', language: 'en' })
});

const { sessionId } = await response.json();

// Continue the same conversation.
await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    sessionId,
    message: 'Can you explain that in more detail?',
    language: 'en'
  })
});

Autenticazione

REST v1 e MCP usano una chiave API aziendale. Non esponete mai una chiave segreta in un widget pubblico del sito web. L'esempio di chat sopra usa l'endpoint pubblico del widget.

Authorization: Bearer cr_your_api_key_here